Subject: Please pull upstream branches of bu3sch.de

From: Michael Buesch <[email-masked]>
Date: Sat, 18 Feb 2006 02:19:57 +0100

Hi John,

I rebased my repository at
git://bu3sch.de/wireless-2.6.git

Please pull the following changes from "softmac-upstream":
Michael Buesch:
      bcm43xx: fix txpower reporting in WE.
      bcm43xx: enable SPROM writing.
      bcm43xx: heavily increase mac_suspend timeout.
      bcm43xx: fix compiletime warning (phy_xmitpower)
      bcm43xx: remove WX debugging.
      bcm43xx: Partially fix PIO code. Add Kconfig option for PIO or DMA mode (or both).
      bcm43xx: add a note that not all devices support PIO.
      Apple Airport: Add Kconfig note that the bcm43xx driver has to be used for Airport Extreme cards.
      bcm43xx: update README
      bcm43xx: fix LED code.
      bcm43xx: rewrite and simplify the periodic task handling.
      bcm43xx: Code cleanups. This removes various "inline" statements and reduces codesize.

Please pull the following changes from "dscape-upstream":
Michael Buesch:
      bcm43xx-d80211: build magic add_sta binary in /tmp instead of $PWD
      bcm43xx-d80211: fix NULL pointer deref in bcm43xx_remove_one.
      bcm43xx-d80211: heavily increase mac_suspend timeout.
      bcm43xx-d80211: remove WX debugging.
      bcm43xx-d80211: Update docs to reflect changes in the driver.
      bcm43xx-d80211: fix LED code.
      bcm43xx-d80211: Code cleanups. This removes various "inline" statements and reduces codesize.

I don't append the diffs, as they are rather big.
If you want to review the changes, I suggest you look at the
webinterface of my repository:
http://bu3sch.de/git?p=wireless-2.6.git;a=summary

Stefano, please re-clone your copy now.

-- 
Greetings Michael.